Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWSServer::KeyboardFilter Class Reference

The QWSServer::KeyboardFilter class provides a global keyboard event filter. More...

    #include <KeyboardFilter>

- List of all members, including inherited members

### Public Functions

- virtual bool filter ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat ) = 0

## Detailed Description

The QWSServer::KeyboardFilter class provides a global keyboard event filter.

The KeyboardFilter class is used to implement a global, low-level filter on key events in the Qt/Embedded server application; this can be used to implement things like APM (advanced power management) suspend from a button without having to filter for it in all applications.

## Member Function Documentation

### bool KeyboardFilter::filter ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat ) `[pure virtual]`